# Creatives

Creatives are the images, videos, audio, and dynamic assets that make up your campaign. Using the DSP API, you can view creatives, update creative metadata, and associate existing creatives with campaigns and insertion orders.
Creatives are specific to each DSP seat. Each creative can be associated with multiple campaigns across multiple insertion orders. When a creative is associated with a campaign, it must also be associated with the campaign’s parent insertion order. The API automatically creates this association if needed.
Each creative is associated with an advertiser and assigned a creative category. Use the [Advertiser](/apis/dsp/advertisers) and [Creative Category](/apis/dsp/creatives/dsp_listcreativecategories) APIs to find the applicable advertiser and creative category IDs. The creative’s advertiser ID must match the campaign and insertion order during association.

 - [GET /creative_categories](https://developers.vistarmedia.com/apis/dsp/creatives/dsp_listcreativecategories.md): Returns a list of creative categories available on the DSP.
 - [GET /creative_categories/{id}](https://developers.vistarmedia.com/apis/dsp/creatives/dsp_getcreativecategory.md): Retrieves an individual creative category.
 - [GET /creatives](https://developers.vistarmedia.com/apis/dsp/creatives/dsp_listcreatives.md): Returns the list of creatives available for the current DSP seat.
 - [POST /creatives](https://developers.vistarmedia.com/apis/dsp/creatives/dsp_createcreatives.md): Create Creatives
 - [PATCH /creatives](https://developers.vistarmedia.com/apis/dsp/creatives/dsp_updatecreatives.md): Update up to 100 creatives in a single request. Specify only the properties you want to update. Properties you omit remain unchanged. This endpoint is transactional. If the request succeeds, all crea
 - [GET /creatives/{id}](https://developers.vistarmedia.com/apis/dsp/creatives/dsp_getcreative.md): Returns an individual creative.
 - [PATCH /creatives/{id}](https://developers.vistarmedia.com/apis/dsp/creatives/dsp_updatecreative.md): Update an individual creative. Specify only the properties you want to update. Properties you omit remain unchanged.
